<?php



if(isset($_GET['fileBankZip'])){

    $directorio = "nominasCont.zip";

    // Valida el archivo recibido, eliminando caracteres no permitidos y diagonales para evitar retrocesos en ruta

    $file = (isset($_GET['fileBankZip'])) ? filter_var($_GET['fileBankZip']) : '';



    // Separar para obtener extensión

    $partes = explode('.', $file);

    // No se especificó el archivo, no es .txt o no existe

    if($file == '' || end($partes) != 'zip' || !file_exists($directorio)) {

        die('Archivo no encontrado');

    }



    header('Content-Description: File Transfer');

    header('Content-Disposition: attachment; filename='.$file);

    header('Expires: 0');

    header('Cache-Control: must-revalidate');

    header('Pragma: public');

    header('Content-Length: ' . filesize($file));

    readfile($file);

    unlink($directorio);

}



if(isset($_GET['fileBank'])){

    $directorio = "nomina.txt";

    // Valida el archivo recibido, eliminando caracteres no permitidos y diagonales para evitar retrocesos en ruta

    $file = (isset($_GET['fileBank'])) ? filter_var($_GET['fileBank']) : '';



    // Separar para obtener extensión

    $partes = explode('.', $file);

    // No se especificó el archivo, no es .txt o no existe

    if($file == '' || end($partes) != 'txt' || !file_exists($directorio)) {

        die('Archivo no encontrado');

    }



    header('Content-Description: File Transfer');

    header('Content-Disposition: attachment; filename='.$file);

    header('Expires: 0');

    header('Cache-Control: must-revalidate');

    header('Pragma: public');

    header('Content-Length: ' . filesize($file));

    readfile($file);

    unlink($directorio);

}

if (isset($_GET['specialPayment'])) {

    //$_REQUEST["specialPaymentFile"];
    $archivo = $_REQUEST["specialPayment"];
    $directorio = $_REQUEST["directory"];
    $ruta = $directorio."/".$archivo;

    // Valida el archivo recibido, eliminando caracteres no permitidos y diagonales para evitar retrocesos en ruta
    $file = (isset($_GET['specialPayment']) && isset($_GET['directory'])) ? filter_var($ruta) : '';

    // Separar para obtener extensión
    $partes = explode('.', $file);

    // No se especificó el archivo, no es .txt o no existe
    if($file == '' || end($partes) != 'txt' || !file_exists($ruta)) {
        die('Archivo no encontrado');
    }

    header('Content-Description: File Transfer');
    header('Content-Disposition: attachment; filename='.$archivo);
    header('Expires: 0');
    header('Cache-Control: must-revalidate');
    header('Pragma: public');
    header('Content-Length: ' . filesize($ruta));
    header("Content-Type: text/plain");
    readfile($file);

}

if (isset($_GET['fileSpecialBank'])) {



    //$_REQUEST["fileSpecialBank"];

    $directorio = $_REQUEST["fileSpecialBank"];

    // Valida el archivo recibido, eliminando caracteres no permitidos y diagonales para evitar retrocesos en ruta

    $file = (isset($_GET['fileSpecialBank'])) ? filter_var($_GET['fileSpecialBank']) : '';



    // Separar para obtener extensión

    $partes = explode('.', $file);

    // No se especificó el archivo, no es .txt o no existe

    if($file == '' || end($partes) != 'txt' || !file_exists($directorio)) {

        die('Archivo no encontrado');

    }



    $filename= substr($file, 15, 30); //Quita la palabra BancoMercantil



    header('Content-Description: File Transfer');

    header('Content-Disposition: attachment; filename='.$filename);

    header('Expires: 0');

    header('Cache-Control: must-revalidate');

    header('Pragma: public');

    header('Content-Length: ' . filesize($directorio . $file));

    header("Content-Type: text/plain");

    readfile($file);

    unlink($directorio);

}

if (isset($_GET['file'])) {

    $porciones = explode("/", $_REQUEST['file']);
    $directorio = $porciones[0];
    $nombreArchivo = $porciones[1];
    $partes = explode('.', $nombreArchivo);
    $extensionArchivo = end($partes);

    $file = (isset($_GET['file'])) ? filter_var($_GET['file']) : '';
    
    // No se especificó el archivo, no es .txt o no existe

    if($file == '' || $extensionArchivo != 'txt' || !file_exists($file)) {
        die('Archivo no encontrado');
    }

    header('Content-Description: File Transfer');
    header('Content-Disposition: attachment; filename='.$nombreArchivo);
    header('Expires: 0');
    header('Cache-Control: must-revalidate');
    header('Pragma: public');
    header('Content-Length: ' . filesize($_REQUEST['file']));
    header("Content-Type: text/plain");

    readfile($file);
}
